

/* Globalni styly */

* {
    vertical-align: baseline;
    font-weight: inherit;
    font-family: inherit;
    font-style: inherit;
    font-size: 17px;
    line-height: 24px;
    border: 0 none;
    outline: 0;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    cursor: default;
    max-width: 100%;
}


html {
    background-color: rgba(0,0,0,0.1);
    background-color: #F2F2F2;
    height: 100vh; /*paralax*/
    overflow: hidden; /*paralax*/
}

head {
    display: none;
}

body {
    font-family: 'Barlow', 'Open Sans', sans-serif;
    font-size: 20px;
    line-height: normal;
    font-weight: normal;
    color: #545454;
    opacity: 0;
    min-width: 250px;
    
    perspective: 1px;/*paralax*/
    transform-style: preserve-3d;/*paralax*/
    overflow-x: hidden;/*paralax*/
    overflow-y: scroll;/*paralax*/
    width: 100vw;/*paralax*/
    height: 100vh;/*paralax*/
    


    -webkit-animation-name: usvit;
    -webkit-animation-duration: 0.5s;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: usvit;
    -moz-animation-duration: 0.5s;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;

    -ms-animation-name: usvit;
    -ms-animation-duration: 0.5s;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;

    -o-animation-name: usvit;
    -o-animation-duration: 0.5s;
    -o-animation-iteration-count: 1;
    -o-animation-timing-function: ease-in-out;
    -o-animation-fill-mode: forwards;

    animation-name: usvit;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;

}


nav,header,footer,main,article,aside,section,figure,figcaption{
    display: block;
}

@-webkit-keyframes usvit{
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@-moz-keyframes usvit{
    0% {-moz-opacity: 0;}
    100% {-moz-opacity: 1;}
}
@-sm-keyframes usvit{
    0% {-moz-opacity: 0;}
    100% {-moz-opacity: 1;}
}
@-o-keyframes usvit{
    0% {-moz-opacity: 0;}
    100% {-moz-opacity: 1;}
}
@keyframes usvit{
    0% {opacity: 0;}
    100% {opacity: 1;}
}

input:not([type=file]),
textarea,
select{
    border: 1px solid #a9a9a9;
    padding: 5px;
    margin: 0px 1px 1px 0px;
}


input[type=text],
input[type=password]{
    color: #666666;
}

input[type=text]:focus,
input[type=password]:focus{
    color: #111111;
}

*::-webkit-input-placeholder {
    color: silver;
}
*:-moz-placeholder {
    color: silver;
}
*::-moz-placeholder {
    color: silver;
}
*:-ms-input-placeholder {
    color: silver;
}

h1,h2,h3,h4{
    font-weight: bold;
    padding-bottom: 10px;
    color: #454545;
}

h1{
    font-size: 1.5rem !important;
    padding: 20px 0 20px 0;
}

p{
    padding-bottom: 10px;
    overflow: auto;
}
a, a *{
    cursor: pointer;
    color: #213A8F;
}

label{
    cursor: pointer;
}

ul, ol{
    list-style-position: inside;
    list-style-type: none;
}

main a[href*='.pdf']{
    padding-left: 25px;
    background: url(img/icons8-pdf-24.png) scroll no-repeat left center;
}
main a[href*='.jpg'],
main a[onclick*='.jpg']{
    padding-left: 25px;
    background: url(img/icons8-jpg-24.png) scroll no-repeat left center;
}

main a[href*='.png'],
main a[onclick*='.png']{
    padding-left: 25px;
    background: url(img/icons8-png-24.png) scroll no-repeat left center;
}
main a[href*='.doc'],
main a[href*='.docx']{
    padding-left: 25px;
    background: url(img/icons8-doc-40.png) scroll no-repeat left center/24px auto;
}
main a[href*='.xls'],
main a[href*='.xlsx']{
    padding-left: 25px;
    background: url(img/icons8-xls-48.png) scroll no-repeat left center/24px auto;
}

.panelObsah .text ul{
    list-style-type: disc;
    padding-bottom: 10px;
}
.panelObsah .text ol{
    list-style-type: decimal;
    padding-bottom: 10px;
}
.panelObsah .text img{
    height: auto!important;
}
@media only screen and (max-width:1024px){
    .panelObsah .text table,
    .panelObsah .text thead,
    .panelObsah .text tbody,
    .panelObsah .text tfoot,
    .panelObsah .text tr,
    .panelObsah .text td{
        display: block;
        width: 100%;
    }
}

input[type=button],
input[type=submit],
.button{
    background-color: #213A8F;
    color: #FFFFFF;
    line-height: 36px;
    padding: 0 20px;
    border: none;
    text-align: center;
    min-width: 100px;
    font-weight: bold;
    cursor: pointer;
    filter: brightness(100%);
    transition: filter 0.2s, box-shadow 0.2s;
}
.button *{
    background-color: #868f91;
    color: #FFFFFF;
    border: none;
    text-align: center;
    font-weight: bold;
    cursor: pointer;
}
input[type=button]:hover,
input[type=submit]:hover,
input[type=button]:focus,
input[type=submit]:focus,
input[type=image]:hover,
.button:hover
{

}

.vnitrek:not(.flex):after,
.panelObsah:after,
.zbozi:after,
.zbozi:before,
.cistic,
.prepinacStranek:after,
.tlacitkoDalsiStrana:after,
.seznamStranek:after,
.formularRazeni:before,
.formularRazeni:after
{
    content: ' ';
    display: block;
    clear: both;
    font-size: 0px;
    line-height: 0px;
}


.msg{
    text-align: center;
    padding: 5px;
    background-color: rgba(0, 142, 227, 0.5);
    color: #ffffff;
    font-weight: bold;
    margin: 1% 0% 1% 0%;
    box-shadow: 0px 0px 3px 1px rgba(0, 142, 227, 0.5);
}
.err{
    text-align: center;
    padding: 5px;
    background-color: rgba(255, 0, 0, 0.5);
    color: #ffffff;
    font-weight: bold;
    margin: 1% 0% 1% 0%;
    box-shadow: 0px 0px 3px 1px rgba(255, 0, 0, 0.5);
}
strong, b{
    font-weight: bold;
}

script{
    display: none !important;
}

hr{
    border-bottom: 2px solid #0094FF;
    margin: 20px auto 30px auto;
}

.vnitrek{
    display: block;
    width: 1300px;
    max-width: 100%;
    padding: 0px 10px 0px 10px;
    margin: 0px auto;
}

/*****************************************************************************/






/* panelObsah */
.panelObsah{
    min-height: 30vw;
    padding-bottom: 100px;
}
.katalog > *:not(h1):not(.prepinacStranek):not(.zbozi):not(.text.editor):not(.pomocnaNavigace),
.drobeckova{
    display: none;
}
.podslozky .polozka{
    display: block;
    text-decoration: none;
    padding: 5px 10px;
    background: rgba(0,0,0,0.03);
    border: 1px solid white;
    color: initial;
}
.katalog[data-klic-slozky='55'] .text.editor table{
    width: 100%;
}
.katalog[data-klic-slozky='55'] .text.editor td{
    vertical-align: top;

}
.katalog[data-klic-slozky='55'] .text.editor td:first-child:not(:only-child){
    width: 400px;
    padding-bottom: 30px;
}
.katalog[data-klic-slozky='55'] .text.editor iframe{
    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.25);
    min-height: 400px;
    overflow: hidden;
    width: calc(100% - 20px);
    margin: 10px;
    display: block;
}
@media only screen and (max-width:1024px){
    main .panelObsah{
        min-height: 300px;
    }
}
/* panelObsah */




/* .pruh */
.pruh{
    display: flex;
}
.pruh span{
    padding-top: 10px;
    width: 25%;
}
.pruh span:nth-child(1){
    background-color: #E9483D;
}
.pruh span:nth-child(2){
    background-color: #2B7ABF;
}
.pruh span:nth-child(3){
    background-color: #009C4B;
}
.pruh span:nth-child(4){
    background-color: #FAB707;
}
/* .pruh */





/* header */
header{
    background: white;
    padding: 30px 0;
    font-family: Barlow Condensed;
}
header .flex{
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    gap: 30px;
}
header .logo{
    display: block;
    background: url(img/jmpost.svg) scroll no-repeat center center/contain;
    width: 169px;
    height: 23px;
    border: 10px solid transparent;
    box-sizing: content-box;
}
header .logo:hover{
    background-color: rgba(0,0,0,0.03);
}
header .hotline a{
    text-decoration: none;
    display: flex;
    gap: 5px;
    padding: 10px;
}
header .hotline a:hover{
    background-color: rgba(0,0,0,0.03);
}
header .hotline span{
    font-weight: 600;
    font-size: 30px;
}
header .hotline span:nth-child(1){
    color: #545454;
}
header .hotline span:nth-child(2){
    color: #E9483D;
}
header .hotline span:nth-child(3){
    color: #2B7ABF;
}
header .hotline span:nth-child(4){
    color: #009C4B;
}
header .hotline span:nth-child(5){
    color: #FAB707;
}
header .menu .polozka{
    font-weight: 400;
    font-size: 24px;
    display: block;
    padding: 10px 10px;
    text-decoration: none;
    color: #222222;
    text-transform: uppercase;

}
header .menu .polozka:hover{
    background-color: rgba(0,0,0,0.03);
}
header .menu .komponentaNavigace > .hloubka1{
    display: flex;
    flex-wrap: wrap;
    gap: 0;
}
header .menu .komponentaNavigace > .hloubka1 > li{
    position: relative;
}
header .menu .hloubka2{
    overflow: hidden;
    max-height: 0px;
    position: absolute;
    background: white;
    box-shadow: 0 0 25px 0 rgba(0,0,0,0.5);
    border-radius: 10px;
    opacity: 0;
    transition: all 0.5s;
    z-index: 2;
}
header .menu .komponentaNavigace > .hloubka1 > li .hloubka2{
    min-width: 100%;
    max-width: unset;
}
header .menu .komponentaNavigace > .hloubka1 > li .hloubka2 .polozka{
    white-space: nowrap;
}
header .menu .komponentaNavigace > .hloubka1 > li:hover .hloubka2{
    max-height: 500px;
    opacity: 1;
}
header .menu .pocetPolozek,
header .menu img{
    display: none;
}
@media only screen and (max-width:1024px){
    header .flex {
        gap: 10px;
        flex-direction: column;
    }
    header .menu .komponentaNavigace > .hloubka1 {
        flex-wrap: wrap;
        flex-direction: column;
        align-items: center;
    }
    header .hotline span {
        font-size: 20px;
    }
}
/* header */


/* vanoce - 2023-12-06 */
#pridejElementVanocePomociJS:not(:empty) ~ .banner.paralax,
#pridejElementVanocePomociJS:not(:empty) ~ .jmpost {
    display: none;
}
.banner.vanoceBanner {
    height: 20vw;
    max-height: 42vh;
    min-height: 10vh;
    background-image: url(img/vanoce-banner1.jpg);
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
}
.banner.vanoceLogo {
    height: 20vw;
    max-height: 42vh;
    background-image: url(img/vanoce-logo.png);
    background-size: contain;
    background-position: 50% 0%;
    background-repeat: no-repeat;
}
/* vanoce */


/* paralax */
.banner.paralax{
    min-height: 36vh;
    transform-style: preserve-3d;
    position: relative;
    z-index: -1;
}
.paralax:before{
    content: ' ';
    display: block;
    /*width: 100%;
    height: 100%;*/
    width: 100%;
    height: 160%;
    background: url(img/banner1.jpg) scroll no-repeat 50% 50%/cover;
    position: absolute;
    /*left: 0px;
    top: 0px;*/
    left: 0px;
    top: -25vh;
    /*transform: translateZ(-1px) scale(4);*/
    transform: translateZ(-1px) scale(2.1);
}
body > *:not(.paralax):not(.Fotogalerie17){
    xtransform-style: preserve-3d;
    xposition: relative;
    xz-index: 1;
    background-color: white;
}
/* paralax */




/* jmpost */
.jmpost{
    padding: 6vw 0;
}
.jmpost .jmpost3d{
    padding-top: 10vw;
    background: url(img/jmpost3d.png) scroll no-repeat center bottom/contain;
}
.jmpost .jmpost3d h1{
    font-size: 0px !important;
    text-indent: -9999px;
    line-height: 0px !important
}
.jmpost .jsmetuprovas{
    font-size: 24px;
    font-weight: 500;
    color: #000000;
    text-align: center;
}
/* jmpost */




/* dlazdice1 */
.dlazdice1 .slozky{
    display: flex;
    gap: 15px;
}
.dlazdice1 .slozka{
    text-decoration: none;
    display: flex;
    border-radius: 10px;
    flex-direction: column-reverse;
    width: 25%;
    justify-content: space-between;
}
.dlazdice1 .nahled {
    display: none;
}
.dlazdice1 .slozka h2,
.dlazdice1 .slozka .text{
    color: white;
}
.dlazdice1 .slozka:nth-child(1){
    background-color: #E9483D;
}
.dlazdice1 .slozka:nth-child(2){
    background-color: #2B7ABF;
}
.dlazdice1 .slozka:nth-child(3){
    background-color: #009C4B;
}
.dlazdice1 .slozka:nth-child(4){
    background-color: #FAB707;
}
.dlazdice1 .slozka .text{
    padding: 20px;
    font-size: 20px;
    line-height: 24px;
    font-weight: 500;
    border-bottom: 2px solid rgba(255,255,255,0.2);
    background-color: rgba(255,255,255,0.2);
    flex: 1 1 auto;
    transition: background-color 0.3s;
}
.dlazdice1 .slozka h2{
    padding: 15px 20px;
    text-transform: uppercase;
    text-align: center;
    flex: 0 1 54px;
}
.dlazdice1 .slozka:hover .text{
    background-color: transparent;
}
@media only screen and (max-width:1024px){
    .dlazdice1 .slozky {
        flex-direction: column;
    }
    .dlazdice1 .slozka {
        width: auto;
    }
}
/* dlazdice1 */




/* zalozena */
.zalozena {
    box-shadow: inset 0 0 100px 0 rgba(0,0,0,0.1);
    padding: 3vw 0;
    border-top: 50px solid white;
    border-bottom: 50px solid white;
}
.zalozena .komponentaSlozka{
    display: flex;
    align-items: center;
}
.zalozena .komponentaSlozka:before{
    content: ' ';
    display: block;
    background: url(img/zalozena.png) scroll no-repeat center center/contain;
    flex: 1 0 auto;
    height: 240px;
}
.zalozena .komponentaSlozka .text{
    flex: 0 0 45%;
    text-align: center;
    padding: 3vw;
}
.zalozena .komponentaSlozka p:first-line{
    font-weight: 600;
}
@media only screen and (max-width:1024px){
    .zalozena .komponentaSlozka {
        flex-direction: column;
    }
    .zalozena .komponentaSlozka:before {
        flex: 1 0 auto;
        height: 140px;
        width: 100%;
        max-width: 300px;
    }
}
/* zalozena */




/* dlazdice2 */
.dlazdice2 .slozky{
    display: flex;
    gap: 15px;
}
.dlazdice2 .slozka{
    text-decoration: none;
    display: flex;
    width: 50%;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: row;
}
.dlazdice2 .slozka h2{
    padding: 15px 0;
}
@media only screen and (max-width:512px){
    .dlazdice2 .slozky {
        flex-direction: column;
    }
    .dlazdice2 .slozka {
        width: auto;
    }
}
/* dlazdice2 */



/* vitejte */
.vitejte{
    background-color: #009C4B !important;
    padding: 50px 0;
    text-align: center;
    box-shadow: inset 0 0 50px 0 rgba(0,0,0,0.2);
    border-top: 50px solid white;
    border-bottom: 50px solid white;
}
.vitejte *{
    color: white;
    font-size: 24px;
    line-height: 30px;
}
/* vitejte */




/* footer */
footer .prologo{
    padding: 20px 0 0 0;
    text-align: center;
}
footer .prologo .logo{
display: inline-block;
    background: url(img/jmpost.svg) scroll no-repeat center center/contain;
    width: 260px;
    height: 35px;
    border: 10px solid transparent;
    box-sizing: content-box;
}
footer .proinfo{
    position: relative;
}
footer .proinfo:before{
    content: ' ';
    display: block;
    background-color: #FAB707;
    position: absolute;
    width: 100%;
    top: 60px;
    height: calc(100% - 180px);
    box-shadow: inset 0 0 50px 0 rgba(0,0,0,0.1);
}
footer .proinfo:after{
    content: ' ';
    display: block;
    background-color: #545454;
    position: absolute;
    width: 100%;
    bottom: 0px;
    height: 120px;
}
footer .proinfo .flex{
    display: flex;
    gap: 24px;
    padding-top: 20px;
    padding-bottom: 40px;
    position: relative;
    z-index: 1;
}
footer .proinfo iframe{
    flex: 1 0 auto;
    border-radius: 10px;
    box-shadow: 0 0 25px 0 rgba(0,0,0,0.5);
    overflow: hidden;
    min-height: 400px;
}
footer .proinfo .komponentaSlozka{
    flex: 0 1 430px;
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 25px 0 rgba(0,0,0,0.5);
}
@media only screen and (max-width:1024px){
    footer .proinfo .flex {
        flex-direction: column-reverse;
        gap: 10px;
    }
}
/* footer */





body .NahledProduktu003 .nazev {
    height: 100px;
}
body .NahledProduktu003 .ceny,
body .NahledProduktu003 form,
body .DetailProduktu001 > *:not(.panelprilohy):not(.popisproduktu):not(.komponentaRating):not(h1){
    display: none;
}
body .NahledProduktu003 .nazev .popisek{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 4;
}
body .NahledProduktu003 .nahled img{
    object-fit: contain;
}
body .NahledProduktu003 {
    width: calc((100% / 4) - 10px);
}
@media only screen and (max-width:1024px){
    body .NahledProduktu003 {
        width: calc((100% / 3) - 10px);
    }
}
body .komponentaProductSlider1 .komponentaNahledProduktu {
    overflow-x: auto;
}
body .komponentaProductSlider .slideLeft,
body .komponentaProductSlider .slideRight{
    background-color: #009C4B;
    opacity: 0.35;
}
body .komponentaProductSlider .slideLeft:hover,
body .komponentaProductSlider .slideRight:hover{
    background-color: #009C4B;
    opacity: 1;
}
@-moz-document url-prefix() {
    @supports (animation: calc(0s)) {
        body .komponentaProductSlider1 .komponentaNahledProduktu {
            overflow-x: hidden !important;
        }
    }
}

.komponenty{
    padding: 30px 0 50px 0;
}
.komponenty .nadpis {
    text-align: center;
    padding: 10px 0;
    color: #009C4B;
    text-transform: uppercase;
}
.komponenty .odkaz{
    text-align: right;
    padding: 10px 0;
}
.komponenty .odkaz h2{
    display: inline-block;
    padding: 10px 20px;
    background-color: #009C4B;
    color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.25);
}
@media only screen and (max-width:1024px){
    .komponenty .odkaz{
        text-align: center;
    }
}



body .komponentaFotogalerie.galerie .polozka .nahled {
    padding-top: 100%;
    box-shadow: 0 0 15px 5px rgba(0,0,0,0.15);
    border: 0px;
}